import { Alpine } from "../alpine.js";
import { Runit } from "../runit/index.js";
import { FluentBitParser, runitLokiLogger } from "../software/fluentbit.js";

export async function setupDhcpcd(alpine: Alpine, runit: Runit) {
  await alpine.addPackages(["dhcpcd"]);

  await alpine.symlink("/run/resolv.conf", "/etc/resolv.conf");
  await alpine.fstab.addTmpfs("/var/lib/dhcpcd");

  await runit.addService(
    "dhcpcd",
    `#!/bin/sh
exec dhcpcd --nobackground 2>&1
`,
    runitLokiLogger(FluentBitParser.Dhcpcd, "dhcpcd")
  );
}
