import assert from "node:assert";
import test from "node:test";
import { generateForgejoSecrets } from "./secrets.js";

function somewhatValidJwt(input: string): void {
  assert.equal(input.startsWith("ey"), true);
  assert.equal(input.match(/\./g)?.length, 2);
  assert.equal(input.match("\n"), null);
}

test("can generate secrets", async () => {
  const secrets = await generateForgejoSecrets();
  somewhatValidJwt(secrets.INTERNAL_TOKEN);
  // https://github.com/go-gitea/gitea/blob/e81ccc406bf723a5a58d685e7782f281736affd4/modules/generate/generate.go#L43
  assert.equal(Buffer.from(secrets.LFS_JWT_SECRET, "base64").byteLength, 32);
  assert.equal(Buffer.from(secrets.OAUTH_JWT_SECRET, "base64").byteLength, 32);
  // https://github.com/go-gitea/gitea/blob/e81ccc406bf723a5a58d685e7782f281736affd4/modules/generate/generate.go#L62
  assert.equal(secrets.SECRET_KEY.length, 64);
});
