import { nanoid } from "nanoid";
import { generateSecretsFile, loadSecretsFile } from "../../helpers/secrets.js";

export interface GrafanaSecrets {
  defaultAdminPassword: string;
}

export const loadGrafanaSecretsFile =
  loadSecretsFile<GrafanaSecrets>("grafana");
export const generateGrafanaSecretsFile = generateSecretsFile(
  "grafana",
  generateGrafanaSecrets
);
export async function generateGrafanaSecrets(): Promise<GrafanaSecrets> {
  console.info(
    "La contraseña por defecto de lx usuarix admin va a estar en secrets/grafana.json"
  );
  return {
    defaultAdminPassword: nanoid(),
  };
}
